# Objective Types

{% hint style="danger" %}
**WARNING ABOUT POTION BREWING**

As of version 3.13.5 the POTION\_BREW objective is highly experimental. There is a chance for exploits with it regarding tournament scores. This is just due to the way the method must be made as there is no easy way to track potion brewing via the API
{% endhint %}

## Internal Objectives (7)

These objectives require no external plugins to work. Simply install XLTournaments and you're done.

***

### BLOCK\_BREAK

This objective requires users to break blocks in order to score points in the tournament.

#### Optional Settings:

{% hint style="info" %}
These settings can be added to your tournament file to change the way the tournament behaves.
{% endhint %}

**Exclude Placed Blocks:**

This setting will prevent blocks placed by players from counting in the tournament.

Setting: `exclude_placed_blocks: true/false`

**Block Whitelist**

This setting allows you to define what blocks count in the tournament instead of every block counting.

Setting:

```yaml
block_whitelist:
 - GRASS_BLOCK
 - COBBLESTONE
```

***

* **BLOCK\_PLACE** - Place the most blocks.

  * ***OPTIONAL CONFIG SETTING:*** ***'***&#x62;lock\_whitelist' (only these blocks will be counted):
  * Example: `block_whitelist: [GRASS_BLOCK]`

* **ITEM\_CRAFT;\<ITEM>** - Craft a specific item.

  * Example: `objective: ITEM_CRAFT;BEACON`

* **MOB\_KILLS** - Kill the most mobs.

  * ***OPTIONAL CONFIG SETTING:*** `mob_whitelist`: (only these mob types will be counted):
  * Example: `mob_whitelist: [SHEEP, COW]`
  * ***OPTIONAL CONFIG SETTING:*** `player_kills_only: true/false` Requires all kills to be by a player only.

* **PLAYER\_FISH** - Capture the most fish.

* **PLAYER\_KILLS** - Kill the most players.

* **PLAYER\_CONSUME** - Consume the most food.

* **PLAYTIME** - Play on the server the longest.

* **POTION\_BREW** - Brew the most potions

***

## External Objectives

These objectives require an external plugin to be installed in order for them to work.

{% hint style="danger" %}
Objectives for plugins that have been removed off spigot have a chance of being removed from the plugin.&#x20;
{% endhint %}

***

### [BedWars1058](https://www.spigotmc.org/resources/bedwars1058-the-most-modern-bedwars-plugin-bungee-scalable-bungee-legacy-multi-arena-shared.50942/) (v21.2)

* **BEDWARS1058\_BED\_BREAK** - Break the most beds.
* **BEDWARS1058\_KILLS** - Kill the most players.
* **BEDWARS1058\_FINAL\_KILLS** - Get the most final kills.
* **BEDWARS1058\_LEVEL\_UP** - Level up your stats.
* **BEDWARS1058\_WINS** - Win the most bedwars games.

### [ChatReaction](https://www.spigotmc.org/resources/chatreaction.3748/) (v1.8.0)

* **CHATREACTION\_WINS** - Win the most chat reactions.

### [ClueScrolls](https://www.spigotmc.org/resources/%E2%AD%90-cluescrolls-%E2%AD%90-%E2%95%91-1-8-to-1-20-250-clue-types-new-default-config-rewards.30276/) (v4.0.0)

* **CLUESCROLLS\_CLUE\_COMPLETE** - Complete the most clues on any scroll.
* **CLUESCROLLS\_SCROLL\_COMPLETE** - Complete the most scrolls.

### [CrazyCrates](https://modrinth.com/plugin/crazycrates/)

* **CRAZYCRATES\_OPEN** - Open the most crazy crates.

### [CrazyEnvoy](https://modrinth.com/plugin/crazyenvoys)

* **CRAZYENVOY\_OPEN** - Open the most envoy crates.

### [EssentialsX](https://www.spigotmc.org/resources/essentialsx.9089/) (v2.18.2)

* **ESSENTIALS\_BALANCE\_RECEIVE** - Receive the most money (excluding /pay).
* **ESSENTIALS\_BALANCE\_SPEND** - Spend the most money (excluding /pay).

### [ExcellentCrates](https://www.spigotmc.org/resources/excellentcrates-advanced-custom-crates-milestones.48732/) (v4.4.2)

* **EXCELLENTCRATES\_OPEN** - Open the most crates.

### [MythicMobs](https://www.spigotmc.org/resources/%E2%9A%94-mythicmobs-free-version-%E2%96%BAthe-1-custom-mob-creator%E2%97%84.5702/) (v4.9.1)

* **MYTHICMOBS\_KILLS** - Kill the most mythic mobs.

### [ODailyQuests](https://www.spigotmc.org/resources/odailyquests-daily-quests-plugin-1-16-1-20.100990/) (v2.2.3)

* **ODAILYQUESTS\_COMPLETE** - Complete the most daily quests.

### [PlaceholderAPI ](https://www.spigotmc.org/resources/placeholderapi.6245/)(v2.10.9)

* **PLACEHOLDERAPI;\<placeholder without %>** - Use PlaceholderAPI placeholders (must resolve to integer placeholder). By using this objective, the current score value is replaced, not added.
  * Example: `PLACEHOLDERAPI;vault_eco_balance`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zithium.net/xl-series/xltournaments/objective-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
